diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-reading.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-reading.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-reading.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-reading.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 18,27 ****
  /**
   * Display JavaScript on the page.
   *
!  * @package WordPress
!  * @subpackage Reading_Settings_Screen
   */
! function add_js() {
  ?>
  <script type="text/javascript">
  //<![CDATA[
--- 18,26 ----
  /**
   * Display JavaScript on the page.
   *
!  * @since 3.5.0
   */
! function options_reading_add_js() {
  ?>
  <script type="text/javascript">
  //<![CDATA[
***************
*** 39,55 ****
  </script>
  <?php
  }
! add_action('admin_head', 'add_js');
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
  	'content' => '<p>' . __('This screen contains the settings that affect the display of your content.') . '</p>' .
  		'<p>' . sprintf(__('You can choose what&#8217;s displayed on the front page of your site. It can be posts in reverse chronological order (classic blog), or a fixed/static page. To set a static home page, you first need to create two <a href="%s">Pages</a>. One will become the front page, and the other will be where your posts are displayed.'), 'post-new.php?post_type=page') . '</p>' .
! 		'<p>' . __('You can also control the display of your content in RSS feeds, including the maximum numbers of posts to display, whether to show full text or a summary, and the character set encoding.') . '</p>' .
  		'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>',
  ) );
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Reading_Screen" target="_blank">Documentation on Reading Settings</a>') . '</p>' .
--- 38,71 ----
  </script>
  <?php
  }
! add_action('admin_head', 'options_reading_add_js');
! 
! /**
!  * Render the blog charset setting.
!  *
!  * @since 3.5.0
!  */
! function options_reading_blog_charset() {
! 	echo '<input name="blog_charset" type="text" id="blog_charset" value="' . esc_attr( get_option( 'blog_charset' ) ) . '" class="regular-text" />';
! 	echo '<p class="description">' . __( 'The <a href="http://codex.wordpress.org/Glossary#Character_set">character encoding</a> of your site (UTF-8 is recommended)' ) . '</p>';
! }
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
  	'content' => '<p>' . __('This screen contains the settings that affect the display of your content.') . '</p>' .
  		'<p>' . sprintf(__('You can choose what&#8217;s displayed on the front page of your site. It can be posts in reverse chronological order (classic blog), or a fixed/static page. To set a static home page, you first need to create two <a href="%s">Pages</a>. One will become the front page, and the other will be where your posts are displayed.'), 'post-new.php?post_type=page') . '</p>' .
! 		'<p>' . __('You can also control the display of your content in RSS feeds, including the maximum numbers of posts to display and whether to show full text or a summary.') . '</p>' .
  		'<p>' . __('You must click the Save Changes button at the bottom of the screen for new settings to take effect.') . '</p>',
  ) );
  
+ get_current_screen()->add_help_tab( array(
+ 	'id'      => 'site-visibility',
+ 	'title'   => has_action( 'blog_privacy_selector' ) ? __( 'Site Visibility' ) : __( 'Search Engine Visibility' ),
+ 	'content' => '<p>' . __( 'You can choose whether or not your site will be crawled by robots, ping services, and spiders. If you want those services to ignore your site, click the checkbox next to &#8220;Discourage search engines from indexing this site&#8221; and click the Save Changes button at the bottom of the screen. Note that your privacy is not complete; your site is still visible on the web.' ) . '</p>' .
+ 		'<p>' . __( 'When this setting is in effect, a reminder is shown in the Right Now box of the Dashboard that says, &#8220;Search Engines Discouraged,&#8221; to remind you that your site is not being crawled.' ) . '</p>',
+ ) );
+ 
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Settings_Reading_Screen" target="_blank">Documentation on Reading Settings</a>') . '</p>' .
***************
*** 63,70 ****
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?></h2>
  
! <form name="form1" method="post" action="options.php">
! <?php settings_fields( 'reading' ); ?>
  
  <?php if ( ! get_pages() ) : ?>
  <input name="show_on_front" type="hidden" value="posts" />
--- 79,91 ----
  <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?></h2>
  
! <form method="post" action="options.php">
! <?php
! settings_fields( 'reading' );
! 
! if ( ! in_array( get_option( 'blog_charset' ), array( 'utf8', 'utf-8', 'UTF8', 'UTF-8' ) ) )
! 	add_settings_field( 'blog_charset', __( 'Encoding for pages and feeds' ), 'options_reading_blog_charset', 'reading', 'default', array( 'label_for' => 'blog_charset' ) );
! ?>
  
  <?php if ( ! get_pages() ) : ?>
  <input name="show_on_front" type="hidden" value="posts" />
***************
*** 120,130 ****
  </fieldset></td>
  </tr>
  
! <tr valign="top">
! <th scope="row"><label for="blog_charset"><?php _e( 'Encoding for pages and feeds' ); ?></label></th>
! <td><input name="blog_charset" type="text" id="blog_charset" value="<?php form_option( 'blog_charset' ); ?>" class="regular-text" />
! <p class="description"><?php _e( 'The <a href="http://codex.wordpress.org/Glossary#Character_set">character encoding</a> of your site (UTF-8 is recommended, if you are adventurous there are some <a href="http://en.wikipedia.org/wiki/Character_set">other encodings</a>)' ); ?></p></td>
  </tr>
  <?php do_settings_fields( 'reading', 'default' ); ?>
  </table>
  
--- 141,164 ----
  </fieldset></td>
  </tr>
  
! <tr valign="top" class="option-site-visibility">
! <th scope="row"><?php has_action( 'blog_privacy_selector' ) ? _e( 'Site Visibility' ) : _e( 'Search Engine Visibility' ); ?> </th>
! <td><fieldset><legend class="screen-reader-text"><span><?php has_action( 'blog_privacy_selector' ) ? _e( 'Site Visibility' ) : _e( 'Search Engine Visibility' ); ?> </span></legend>
! <?php if ( has_action( 'blog_privacy_selector' ) ) : ?>
! 	<input id="blog-public" type="radio" name="blog_public" value="1" <?php checked('1', get_option('blog_public')); ?> />
! 	<label for="blog-public"><?php _e( 'Allow search engines to index this site' );?></label><br/>
! 	<input id="blog-norobots" type="radio" name="blog_public" value="0" <?php checked('0', get_option('blog_public')); ?> />
! 	<label for="blog-norobots"><?php _e( 'Discourage search engines from indexing this site' ); ?></label>
! 	<p class="description"><?php _e( 'Note: Neither of these options blocks access to your site &mdash; it is up to search engines to honor your request.' ); ?></p>
! 	<?php do_action('blog_privacy_selector'); ?>
! <?php else : ?>
! 	<label for="blog_public"><input name="blog_public" type="checkbox" id="blog_public" value="0" <?php checked( '0', get_option( 'blog_public' ) ); ?> />
! 	<?php _e( 'Discourage search engines from indexing this site' ); ?></label>
! 	<p class="description"><?php _e( 'It is up to search engines to honor this request.' ); ?></p>
! <?php endif; ?>
! </fieldset></td>
  </tr>
+ 
  <?php do_settings_fields( 'reading', 'default' ); ?>
  </table>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-writing.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-writing.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-writing.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-writing.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 28,56 ****
  	'content' => '<p>' . __('Press This is a bookmarklet that makes it easy to blog about something you come across on the web. You can use it to just grab a link, or to post an excerpt. Press This will even allow you to choose from images included on the page and use them in your post. Just drag the Press This link on this screen to your bookmarks bar in your browser, and you&#8217;ll be on your way to easier content creation. Clicking on it while on another website opens a popup window with all these options.') . '</p>',
  ) );
  
! if ( is_multisite() ) {
! 	$post_email_help = '<p>' . __('Due to security issues, you cannot use Post By Email on Multisite Installs.') . '</p>';
! } else {
! 	$post_email_help = '<p>' . __('Post via email settings allow you to send your WordPress install an email with the content of your post. You must set up a secret e-mail account with POP3 access to use this, and any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret.') . '</p>';
  }
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'options-postemail',
! 	'title'   => __('Post Via Email'),
! 	'content' => $post_email_help,
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'options-remote',
! 	'title'   => __('Remote Publishing'),
! 	'content' => '<p>' . __('Remote Publishing allows you to use an external editor (like the iOS or Android app) to write your posts.') . '</p>',
! ) );
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'options-services',
! 	'title'   => __('Update Services'),
! 	'content' => '<p>' . __('If desired, WordPress will automatically alert various services of your new posts.') . '</p>',
! ) );
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
--- 28,48 ----
  	'content' => '<p>' . __('Press This is a bookmarklet that makes it easy to blog about something you come across on the web. You can use it to just grab a link, or to post an excerpt. Press This will even allow you to choose from images included on the page and use them in your post. Just drag the Press This link on this screen to your bookmarks bar in your browser, and you&#8217;ll be on your way to easier content creation. Clicking on it while on another website opens a popup window with all these options.') . '</p>',
  ) );
  
! if ( apply_filters( 'enable_post_by_email_configuration', true ) ) {
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'options-postemail',
! 		'title'   => __( 'Post Via Email' ),
! 		'content' => '<p>' . __( 'Post via email settings allow you to send your WordPress install an email with the content of your post. You must set up a secret e-mail account with POP3 access to use this, and any mail received at this address will be posted, so it&#8217;s a good idea to keep this address very secret.' ) . '</p>',
! 	) );
  }
  
! if ( apply_filters( 'enable_update_services_configuration', true ) ) {
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'options-services',
! 		'title'   => __( 'Update Services' ),
! 		'content' => '<p>' . __( 'If desired, WordPress will automatically alert various services of your new posts.' ) . '</p>',
! 	) );
! }
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
***************
*** 70,80 ****
  
  <table class="form-table">
  <tr valign="top">
- <th scope="row"><label for="default_post_edit_rows"> <?php _e('Size of the post box') ?></label></th>
- <td><input name="default_post_edit_rows" type="text" id="default_post_edit_rows" value="<?php form_option('default_post_edit_rows'); ?>" class="small-text" />
- <?php _e('lines') ?></td>
- </tr>
- <tr valign="top">
  <th scope="row"><?php _e('Formatting') ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e('Formatting') ?></span></legend>
  <label for="use_smilies">
--- 62,67 ----
***************
*** 107,113 ****
  	</select>
  </td>
  </tr>
! <?php endif; endif; ?>
  <tr valign="top">
  <th scope="row"><label for="default_link_category"><?php _e('Default Link Category') ?></label></th>
  <td>
--- 94,103 ----
  	</select>
  </td>
  </tr>
! <?php endif; endif;
! 
! if ( get_option( 'link_manager_enabled' ) ) :
! ?>
  <tr valign="top">
  <th scope="row"><label for="default_link_category"><?php _e('Default Link Category') ?></label></th>
  <td>
***************
*** 116,122 ****
  ?>
  </td>
  </tr>
! <?php do_settings_fields('writing', 'default'); ?>
  </table>
  
  <h3 class="title"><?php _e('Press This') ?></h3>
--- 106,117 ----
  ?>
  </td>
  </tr>
! <?php endif; ?>
! 
! <?php
! do_settings_fields('writing', 'default');
! do_settings_fields('writing', 'remote_publishing'); // A deprecated section.
! ?>
  </table>
  
  <h3 class="title"><?php _e('Press This') ?></h3>
***************
*** 163,190 ****
  </table>
  <?php } ?>
  
- <h3><?php _e('Remote Publishing') ?></h3>
- <p><?php printf(__('To post to WordPress from a desktop blogging client or remote website that uses the Atom Publishing Protocol or one of the XML-RPC publishing interfaces you must enable them below.')) ?></p>
- <table class="form-table">
- <tr valign="top">
- <th scope="row"><?php _e('Atom Publishing Protocol') ?></th>
- <td><fieldset><legend class="screen-reader-text"><span><?php _e('Atom Publishing Protocol') ?></span></legend>
- <label for="enable_app">
- <input name="enable_app" type="checkbox" id="enable_app" value="1" <?php checked('1', get_option('enable_app')); ?> />
- <?php _e('Enable the Atom Publishing Protocol.') ?></label><br />
- </fieldset></td>
- </tr>
- <tr valign="top">
- <th scope="row"><?php _e('XML-RPC') ?></th>
- <td><fieldset><legend class="screen-reader-text"><span><?php _e('XML-RPC') ?></span></legend>
- <label for="enable_xmlrpc">
- <input name="enable_xmlrpc" type="checkbox" id="enable_xmlrpc" value="1" <?php checked('1', get_option('enable_xmlrpc')); ?> />
- <?php _e('Enable the WordPress, Movable Type, MetaWeblog and Blogger XML-RPC publishing protocols.') ?></label><br />
- </fieldset></td>
- </tr>
- <?php do_settings_fields('writing', 'remote_publishing'); ?>
- </table>
- 
  <?php if ( apply_filters( 'enable_update_services_configuration', true ) ) { ?>
  <h3><?php _e('Update Services') ?></h3>
  
--- 158,163 ----
***************
*** 196,202 ****
  
  <?php else : ?>
  
! 	<p><?php printf(__('WordPress is not notifying any <a href="http://codex.wordpress.org/Update_Services">Update Services</a> because of your site&#8217;s <a href="%s">privacy settings</a>.'), 'options-privacy.php'); ?></p>
  
  <?php endif; ?>
  <?php } // multisite ?>
--- 169,175 ----
  
  <?php else : ?>
  
! 	<p><?php printf(__('WordPress is not notifying any <a href="http://codex.wordpress.org/Update_Services">Update Services</a> because of your site&#8217;s <a href="%s">visibility settings</a>.'), 'options-reading.php'); ?></p>
  
  <?php endif; ?>
  <?php } // multisite ?>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugin-editor.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/plugin-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugin-editor.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/plugin-editor.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 118,123 ****
--- 118,124 ----
  		'<p>' . __('You can use the editor to make changes to any of your plugins&#8217; individual PHP files. Be aware that if you make changes, plugins updates will overwrite your customizations.') . '</p>' .
  		'<p>' . __('Choose a plugin to edit from the menu in the upper right and click the Select button. Click once on any file name to load it in the editor, and make your changes. Don&#8217;t forget to save your changes (Update File) when you&#8217;re finished.') . '</p>' .
  		'<p>' . __('The Documentation menu below the editor lists the PHP functions recognized in the plugin file. Clicking Lookup takes you to a web page about that particular function.') . '</p>' .
+ 		'<p id="newcontent-description">' . __('In the editing area the Tab key enters a tab character. To move below this area by pressing Tab, press the Esc key followed by the Tab key.') . '</p>' .
  		'<p>' . __('If you want to make changes but don&#8217;t want them to be overwritten when the plugin is updated, you may be ready to think about writing your own plugin. For information on how to edit plugins, write your own from scratch, or just better understand their anatomy, check out the links below.') . '</p>' .
  		( is_network_admin() ? '<p>' . __('Any edits to files from this screen will be reflected on all sites in the network.') . '</p>' : '' )
  	) );
***************
*** 226,232 ****
  </div>
  <form name="template" id="template" action="plugin-editor.php" method="post">
  	<?php wp_nonce_field('edit-plugin_' . $file) ?>
! 		<div><textarea cols="70" rows="25" name="newcontent" id="newcontent" tabindex="1"><?php echo $content ?></textarea>
  		<input type="hidden" name="action" value="update" />
  		<input type="hidden" name="file" value="<?php echo esc_attr($file) ?>" />
  		<input type="hidden" name="plugin" value="<?php echo esc_attr($plugin) ?>" />
--- 227,233 ----
  </div>
  <form name="template" id="template" action="plugin-editor.php" method="post">
  	<?php wp_nonce_field('edit-plugin_' . $file) ?>
! 		<div><textarea cols="70" rows="25" name="newcontent" id="newcontent" aria-describedby="newcontent-description"><?php echo $content; ?></textarea>
  		<input type="hidden" name="action" value="update" />
  		<input type="hidden" name="file" value="<?php echo esc_attr($file) ?>" />
  		<input type="hidden" name="plugin" value="<?php echo esc_attr($plugin) ?>" />
***************
*** 243,251 ****
  	<?php
  		if ( isset($_GET['phperror']) ) {
  			echo "<input type='hidden' name='phperror' value='1' />";
! 			submit_button( __( 'Update File and Attempt to Reactivate' ), 'primary', 'submit', false, array( 'tabindex' => '2' ) );
  		} else {
! 			submit_button( __( 'Update File' ), 'primary', 'submit', false, array( 'tabindex' => '2' ) );
  		}
  	?>
  	</p>
--- 244,252 ----
  	<?php
  		if ( isset($_GET['phperror']) ) {
  			echo "<input type='hidden' name='phperror' value='1' />";
! 			submit_button( __( 'Update File and Attempt to Reactivate' ), 'primary', 'submit', false );
  		} else {
! 			submit_button( __( 'Update File' ), 'primary', 'submit', false );
  		}
  	?>
  	</p>
***************
*** 256,267 ****
  <br class="clear" />
  </div>
  <script type="text/javascript">
- /* <![CDATA[ */
  jQuery(document).ready(function($){
  	$('#template').submit(function(){ $('#scrollto').val( $('#newcontent').scrollTop() ); });
  	$('#newcontent').scrollTop( $('#scrollto').val() );
  });
- /* ]]> */
  </script>
  <?php
  	break;
--- 257,266 ----
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugin-install.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/plugin-install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugin-install.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/plugin-install.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 45,53 ****
  'id'		=> 'adding-plugins',
  'title'		=> __('Adding Plugins'),
  'content'	=>
! 	'<p>' . __('If you know what you&#8217;re looking for, Search is your best bet. The Search screen has options to search the WordPress.org Plugin Directory for a particular Term, Author, or Tag. You can also search the directory by selecting a popular tags. Tags in larger type mean more plugins have been labeled with that tag.') . '</p>' .
  	'<p>' . __('If you just want to get an idea of what&#8217;s available, you can browse Featured, Popular, and Newest plugins by using the links in the upper left of the screen. These sections rotate regularly.') . '</p>' .
! 	'<p>' . __('If you want to install a plugin that you&#8217;ve downloaded elsewhere, click the Upload in the upper left. You will be prompted to upload the .zip package, and once uploaded, you can activate the new plugin.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
--- 45,54 ----
  'id'		=> 'adding-plugins',
  'title'		=> __('Adding Plugins'),
  'content'	=>
! 	'<p>' . __('If you know what you&#8217;re looking for, Search is your best bet. The Search screen has options to search the WordPress.org Plugin Directory for a particular Term, Author, or Tag. You can also search the directory by selecting popular tags. Tags in larger type mean more plugins have been labeled with that tag.') . '</p>' .
  	'<p>' . __('If you just want to get an idea of what&#8217;s available, you can browse Featured, Popular, and Newest plugins by using the links in the upper left of the screen. These sections rotate regularly.') . '</p>' .
! 	'<p>' . __('You can also browse a user&#8217;s favorite plugins, by using the Favorites link in the upper left of the screen and entering their WordPress.org username.') . '</p>' .
! 	'<p>' . __('If you want to install a plugin that you&#8217;ve downloaded elsewhere, click the Upload link in the upper left. You will be prompted to upload the .zip package, and once uploaded, you can activate the new plugin.') . '</p>'
  ) );
  
  get_current_screen()->set_help_sidebar(
***************
*** 59,65 ****
  include(ABSPATH . 'wp-admin/admin-header.php');
  ?>
  <div class="wrap">
! <?php screen_icon(); ?>
  <h2><?php echo esc_html( $title ); ?></h2>
  
  <?php $wp_list_table->views(); ?>
--- 60,66 ----
  include(ABSPATH . 'wp-admin/admin-header.php');
  ?>
  <div class="wrap">
! <?php screen_icon( 'plugins' ); ?>
  <h2><?php echo esc_html( $title ); ?></h2>
  
  <?php $wp_list_table->views(); ?>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugins.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/plugins.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugins.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/plugins.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 9,22 ****
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  
! if ( is_multisite() ) {
! 	$menu_perms = get_site_option( 'menu_items', array() );
! 
! 	if ( empty( $menu_perms['plugins'] ) && ! current_user_can( 'manage_network_plugins' ) )
! 		wp_die( __( 'Cheatin&#8217; uh?' ) );
! }
! 
! if ( !current_user_can('activate_plugins') )
  	wp_die( __( 'You do not have sufficient permissions to manage plugins for this site.' ) );
  
  $wp_list_table = _get_list_table('WP_Plugins_List_Table');
--- 9,15 ----
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  
! if ( ! current_user_can('activate_plugins') )
  	wp_die( __( 'You do not have sufficient permissions to manage plugins for this site.' ) );
  
  $wp_list_table = _get_list_table('WP_Plugins_List_Table');
***************
*** 37,42 ****
--- 30,40 ----
  			if ( ! current_user_can('activate_plugins') )
  				wp_die(__('You do not have sufficient permissions to activate plugins for this site.'));
  
+ 			if ( is_multisite() && ! is_network_admin() && is_network_only_plugin( $plugin ) ) {
+ 				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
+ 				exit;
+ 			}
+ 
  			check_admin_referer('activate-plugin_' . $plugin);
  
  			$result = activate_plugin($plugin, self_admin_url('plugins.php?error=true&plugin=' . $plugin), is_network_admin() );
***************
*** 51,61 ****
  			}
  
  			if ( ! is_network_admin() ) {
- 				if ( is_network_only_plugin( $plugin ) ) {
- 					wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
- 					exit;
- 				}
- 
  				$recent = (array) get_option( 'recently_activated' );
  				unset( $recent[ $plugin ] );
  				update_option( 'recently_activated', $recent );
--- 49,54 ----
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/post-new.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/post-new.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/post-new.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/post-new.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 21,26 ****
--- 21,29 ----
  if ( 'post' == $post_type ) {
  	$parent_file = 'edit.php';
  	$submenu_file = 'post-new.php';
+ } elseif ( 'attachment' == $post_type ) {
+ 	wp_redirect( admin_url( 'media-new.php' ) );
+ 	exit;
  } else {
  	$submenu_file = "post-new.php?post_type=$post_type";
  	if ( isset( $post_type_object ) && $post_type_object->show_in_menu && $post_type_object->show_in_menu !== true ) {
***************
*** 36,49 ****
  
  $editing = true;
  
! if ( ! current_user_can( $post_type_object->cap->edit_posts ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  // Schedule auto-draft cleanup
  if ( ! wp_next_scheduled( 'wp_scheduled_auto_draft_delete' ) )
  	wp_schedule_event( time(), 'daily', 'wp_scheduled_auto_draft_delete' );
  
! wp_enqueue_script('autosave');
  
  // Show post form.
  $post = get_default_post_to_edit( $post_type, true );
--- 39,52 ----
  
  $editing = true;
  
! if ( ! current_user_can( $post_type_object->cap->edit_posts ) || ! current_user_can( $post_type_object->cap->create_posts ) )
  	wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  // Schedule auto-draft cleanup
  if ( ! wp_next_scheduled( 'wp_scheduled_auto_draft_delete' ) )
  	wp_schedule_event( time(), 'daily', 'wp_scheduled_auto_draft_delete' );
  
! wp_enqueue_script( 'autosave' );
  
  // Show post form.
  $post = get_default_post_to_edit( $post_type, true );
